Skip to main content
GET
/
v1
/
smart-account
/
accounts
/
balances
Get Account Balances
curl --request GET \
  --url https://api.openxswitch.com/v1/smart-account/accounts/balances \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "name": "Tether USD",
    "symbol": "USDT",
    "balance": {
      "available": 47900010,
      "frozen": 0
    },
    "isNative": true,
    "blockchain": "ETHEREUM",
    "environment": "mainnet",
    "standard": "ERC-20",
    "createdAt": "2025-04-02T17:20:42.160Z",
    "updatedAt": "2025-04-02T17:20:42.160Z",
    "tokenAddress": "0xdac17f958d2ee523a2206206994597c13d831ec7",
    "decimals": 6
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.openxswitch.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

accountId
string
required

Filter by account id

Example:

"123e4567-e89b-12d3-a456-426614174000"

token
string

Filter by token symbol

Example:

"USDT"

isNative
boolean

Filter by token type

Example:

true

blockchain
string

Filter by Blockchain

Example:

"ethereum"

Response

success
boolean
required
Example:

true

data
object
required